USN-5383-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5383-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5383-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5383-1
Related
Published
2022-04-20T23:48:40Z
Modified
2022-04-20T23:48:40Z
Summary
linux, linux-aws, linux-aws-5.13, linux-azure, linux-azure-5.13, linux-gcp, linux-gcp-5.13, linux-hwe-5.13, linux-kvm, linux-oracle, linux-oracle-5.13, linux-raspi vulnerabilities
Details

David Bouman discovered that the netfilter subsystem in the Linux kernel did not properly validate passed user register indices. A local attacker could use this to cause a denial of service or possibly execute arbitrary code. (CVE-2022-1015)

Brendan Dolan-Gavitt discovered that the Marvell WiFi-Ex USB device driver in the Linux kernel did not properly handle some error conditions. A physically proximate attacker could use this to cause a denial of service (system crash). (CVE-2021-43976)

Wenqing Liu discovered that the f2fs file system implementation in the Linux kernel did not properly validate inode types while performing garbage collection. An attacker could use this to construct a malicious f2fs image that, when mounted and operated on, could cause a denial of service (system crash). (CVE-2021-44879)

It was discovered that the UDF file system implementation in the Linux kernel could attempt to dereference a null pointer in some situations. An attacker could use this to construct a malicious UDF image that, when mounted and operated on, could cause a denial of service (system crash). (CVE-2022-0617)

David Bouman discovered that the netfilter subsystem in the Linux kernel did not initialize memory in some situations. A local attacker could use this to expose sensitive information (kernel memory). (CVE-2022-1016)

Lyu Tao discovered that the NFS implementation in the Linux kernel did not properly handle requests to open a directory on a regular file. A local attacker could use this to expose sensitive information (kernel memory). (CVE-2022-24448)

It was discovered that the VirtIO Bluetooth driver in the Linux kernel did not properly deallocate memory in some error conditions. A local attacker could possibly use this to cause a denial of service (memory exhaustion). (CVE-2022-26878)

It was discovered that the YAM AX.25 device driver in the Linux kernel did not properly deallocate memory in some error conditions. A local privileged attacker could use this to cause a denial of service (kernel memory exhaustion). (CVE-2022-24959)

References

Affected packages

Ubuntu:20.04:LTS / linux-oracle-5.13

Package

Name
linux-oracle-5.13

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.13.0-1027.32~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-oracle-5.13-tools-5.13.0-1027": "5.13.0-1027.32~20.04.1",
            "linux-image-unsigned-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-oracle-5.13-headers-5.13.0-1027": "5.13.0-1027.32~20.04.1",
            "linux-modules-extra-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-tools-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-modules-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-tools-oracle-edge": "5.13.0.1027.32~20.04.1",
            "linux-oracle": "5.13.0.1027.32~20.04.1",
            "linux-image-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-headers-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-headers-oracle": "5.13.0.1027.32~20.04.1",
            "linux-oracle-edge": "5.13.0.1027.32~20.04.1",
            "linux-headers-oracle-edge": "5.13.0.1027.32~20.04.1",
            "linux-buildinfo-5.13.0-1027-oracle": "5.13.0-1027.32~20.04.1",
            "linux-image-oracle-edge": "5.13.0.1027.32~20.04.1",
            "linux-tools-oracle": "5.13.0.1027.32~20.04.1",
            "linux-image-oracle": "5.13.0.1027.32~20.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws-5.13

Package

Name
linux-aws-5.13

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.13.0-1022.24~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-edge": "5.13.0.1022.24~20.04.15",
            "linux-aws-5.13-cloud-tools-5.13.0-1022": "5.13.0-1022.24~20.04.1",
            "linux-aws-5.13-tools-5.13.0-1022": "5.13.0-1022.24~20.04.1",
            "linux-headers-aws": "5.13.0.1022.24~20.04.15",
            "linux-modules-extra-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-image-aws": "5.13.0.1022.24~20.04.15",
            "linux-aws": "5.13.0.1022.24~20.04.15",
            "linux-modules-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-buildinfo-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-modules-extra-aws-edge": "5.13.0.1022.24~20.04.15",
            "linux-headers-aws-edge": "5.13.0.1022.24~20.04.15",
            "linux-aws-5.13-headers-5.13.0-1022": "5.13.0-1022.24~20.04.1",
            "linux-cloud-tools-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-modules-extra-aws": "5.13.0.1022.24~20.04.15",
            "linux-tools-aws-edge": "5.13.0.1022.24~20.04.15",
            "linux-image-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-tools-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-aws-edge": "5.13.0.1022.24~20.04.15",
            "linux-image-unsigned-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-headers-5.13.0-1022-aws": "5.13.0-1022.24~20.04.1",
            "linux-tools-aws": "5.13.0.1022.24~20.04.15"
        }
    ]
}

Ubuntu:20.04:LTS / linux-intel-5.13

Package

Name
linux-intel-5.13

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.13.0-1011.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-headers-intel": "5.13.0.1011.12",
            "linux-image-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-cloud-tools-intel": "5.13.0.1011.12",
            "linux-buildinfo-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-intel": "5.13.0.1011.12",
            "linux-intel-5.13-source-5.13.0": "5.13.0-1011.11",
            "linux-intel-5.13-cloud-tools-common": "5.13.0-1011.11",
            "linux-intel-5.13-tools-5.13.0-1011": "5.13.0-1011.11",
            "linux-image-intel": "5.13.0.1011.12",
            "linux-image-unsigned-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-intel-5.13-tools-host": "5.13.0-1011.11",
            "linux-tools-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-tools-intel": "5.13.0.1011.12",
            "linux-modules-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-cloud-tools-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-headers-5.13.0-1011-intel": "5.13.0-1011.11",
            "linux-intel-5.13-headers-5.13.0-1011": "5.13.0-1011.11",
            "linux-intel-5.13-cloud-tools-5.13.0-1011": "5.13.0-1011.11",
            "linux-intel-5.13-tools-common": "5.13.0-1011.11"
        }
    ]
}

Ubuntu:20.04:LTS / linux-hwe-5.13

Package

Name
linux-hwe-5.13

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.13.0-40.45~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-hwe-5.13-cloud-tools-5.13.0-40": "5.13.0-40.45~20.04.1",
            "linux-image-unsigned-5.13.0-40-generic-64k": "5.13.0-40.45~20.04.1",
            "linux-tools-generic-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-image-generic-lpae-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-generic-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-image-generic-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-image-generic-64k-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-generic-lpae-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-image-unsigned-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-hwe-5.13-source-5.13.0": "5.13.0-40.45~20.04.1",
            "linux-modules-5.13.0-40-generic-lpae": "5.13.0-40.45~20.04.1",
            "linux-image-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-lowlatency-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-cloud-tools-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-generic-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-generic-64k-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-image-extra-virtual-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-tools-virtual-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-hwe-5.13-cloud-tools-common": "5.13.0-40.45~20.04.1",
            "linux-buildinfo-5.13.0-40-generic-lpae": "5.13.0-40.45~20.04.1",
            "linux-tools-generic-lpae-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-lowlatency-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-5.13.0-40-generic-64k": "5.13.0-40.45~20.04.1",
            "linux-image-5.13.0-40-generic-lpae": "5.13.0-40.45~20.04.1",
            "linux-hwe-5.13-tools-5.13.0-40": "5.13.0-40.45~20.04.1",
            "linux-tools-5.13.0-40-generic-64k": "5.13.0-40.45~20.04.1",
            "linux-generic-lpae-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-cloud-tools-generic-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-virtual-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-image-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-tools-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-hwe-5.13-headers-5.13.0-40": "5.13.0-40.45~20.04.1",
            "linux-hwe-5.13-tools-host": "5.13.0-40.45~20.04.1",
            "linux-modules-extra-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-image-lowlatency-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-5.13.0-40-generic-lpae": "5.13.0-40.45~20.04.1",
            "linux-image-5.13.0-40-generic-64k": "5.13.0-40.45~20.04.1",
            "linux-buildinfo-5.13.0-40-generic-64k": "5.13.0-40.45~20.04.1",
            "linux-image-unsigned-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-modules-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-cloud-tools-virtual-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-hwe-5.13-tools-common": "5.13.0-40.45~20.04.1",
            "linux-headers-generic-64k-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-tools-lowlatency-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-tools-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-cloud-tools-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-image-virtual-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-headers-virtual-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-buildinfo-5.13.0-40-lowlatency": "5.13.0-40.45~20.04.1",
            "linux-buildinfo-5.13.0-40-generic": "5.13.0-40.45~20.04.1",
            "linux-cloud-tools-lowlatency-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-tools-5.13.0-40-generic-lpae": "5.13.0-40.45~20.04.1",
            "linux-modules-5.13.0-40-generic-64k": "5.13.0-40.45~20.04.1",
            "linux-tools-generic-64k-hwe-20.04": "5.13.0.40.45~20.04.25",
            "linux-modules-5.13.0-40-generic": "5.13.0-40.45~20.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp-5.13

Package

Name
linux-gcp-5.13

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.13.0-1024.29~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-gcp": "5.13.0.1024.29~20.04.1",
            "linux-tools-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1",
            "linux-modules-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1",
            "linux-gcp-5.13-tools-5.13.0-1024": "5.13.0-1024.29~20.04.1",
            "linux-headers-gcp-edge": "5.13.0.1024.29~20.04.1",
            "linux-gcp": "5.13.0.1024.29~20.04.1",
            "linux-gcp-5.13-headers-5.13.0-1024": "5.13.0-1024.29~20.04.1",
            "linux-tools-gcp-edge": "5.13.0.1024.29~20.04.1",
            "linux-image-gcp-edge": "5.13.0.1024.29~20.04.1",
            "linux-modules-extra-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1",
            "linux-image-gcp": "5.13.0.1024.29~20.04.1",
            "linux-headers-gcp": "5.13.0.1024.29~20.04.1",
            "linux-modules-extra-gcp": "5.13.0.1024.29~20.04.1",
            "linux-headers-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1",
            "linux-gcp-edge": "5.13.0.1024.29~20.04.1",
            "linux-modules-extra-gcp-edge": "5.13.0.1024.29~20.04.1",
            "linux-image-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1",
            "linux-buildinfo-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1",
            "linux-image-unsigned-5.13.0-1024-gcp": "5.13.0-1024.29~20.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / linux-azure-5.13

Package

Name
linux-azure-5.13

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.13.0-1022.26~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-azure": "5.13.0.1022.26~20.04.11",
            "linux-azure": "5.13.0.1022.26~20.04.11",
            "linux-azure-5.13-headers-5.13.0-1022": "5.13.0-1022.26~20.04.1",
            "linux-tools-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-image-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-image-unsigned-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-azure-5.13-tools-5.13.0-1022": "5.13.0-1022.26~20.04.1",
            "linux-buildinfo-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-headers-azure": "5.13.0.1022.26~20.04.11",
            "linux-tools-azure-edge": "5.13.0.1022.26~20.04.11",
            "linux-cloud-tools-azure": "5.13.0.1022.26~20.04.11",
            "linux-azure-5.13-cloud-tools-5.13.0-1022": "5.13.0-1022.26~20.04.1",
            "linux-tools-azure": "5.13.0.1022.26~20.04.11",
            "linux-cloud-tools-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-headers-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-image-azure": "5.13.0.1022.26~20.04.11",
            "linux-cloud-tools-azure-edge": "5.13.0.1022.26~20.04.11",
            "linux-image-azure-edge": "5.13.0.1022.26~20.04.11",
            "linux-modules-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-modules-extra-5.13.0-1022-azure": "5.13.0-1022.26~20.04.1",
            "linux-headers-azure-edge": "5.13.0.1022.26~20.04.11",
            "linux-azure-edge": "5.13.0.1022.26~20.04.11",
            "linux-modules-extra-azure-edge": "5.13.0.1022.26~20.04.11"
        }
    ]
}